for i, _ in ipairs(pars_names) do
  minetest.register_decoration({biomes = "loria:azure", deco_type = "simple", decoration = ("loria:pars_" .. i), fill_ratio = 0.10000000000000001, height = 1, place_on = "loria:copper_sulfate", sidelen = 16, y_min = -20})
end
for i, _ in ipairs(odorantur_names) do
  minetest.register_decoration({biomes = "loria:acidic_landscapes", deco_type = "simple", decoration = ("loria:odorantur_" .. i), fill_ratio = 0.10000000000000001, height = 1, place_on = "loria:sodium_peroxide", sidelen = 16, y_min = -20})
end
for i, _ in ipairs(qui_lucem_names) do
  minetest.register_decoration({biomes = "loria:reptile_house", deco_type = "simple", decoration = ("loria:qui_lucem_" .. i), fill_ratio = 0.050000000000000003, height = 1, place_on = "loria:nickel_nitrate", sidelen = 16, y_min = -20})
end
for i, _ in ipairs(petite_names) do
  minetest.register_decoration({biomes = "loria:purple_swamp", deco_type = "simple", decoration = ("loria:petite_" .. i), fill_ratio = 0.050000000000000003, height = 1, place_on = "loria:ammonium_manganese_pyrophosphate", sidelen = 16, y_min = -20})
end
local function _0_(name, _, params)
  assert((nil ~= params), ("Missing argument %s on %s:%s"):format("params", "sources/mods/loria/mapgen.fnl", 46))
  assert((nil ~= _), ("Missing argument %s on %s:%s"):format("_", "sources/mods/loria/mapgen.fnl", 46))
  assert((nil ~= name), ("Missing argument %s on %s:%s"):format("name", "sources/mods/loria/mapgen.fnl", 46))
  return minetest.register_decoration({biomes = params.biomes, deco_type = "simple", decoration = ("loria:" .. name), fill_ratio = (params.fill_ratio or 0.050000000000000003), height = (params.min_height or 1), height_max = params.max_height, place_on = params.place_on, sidelen = (params.sidelen or 16), y_min = (params.y_min or -20)})
end
on_grasses(_0_)
for name, params in pairs(ores) do
  for _, place in ipairs(params.wherein) do
    minetest.register_ore({clust_num_ores = 5, clust_scarcity = (16 * 16 * 16), clust_size = 3, noise_params = {octaves = 1, offset = 0.5, persist = 0, scale = 0.20000000000000001, seed = 17676, spread = {x = 3, y = 3, z = 3}}, noise_threshold = 0, ore = ("loria:" .. name .. "_" .. place), ore_type = "blob", wherein = ("loria:" .. place), y_max = (params.y_max or 60), y_min = (params.y_min or -60)})
  end
end
minetest.register_decoration({biomes = "loria:mercury_ocean", deco_type = "simple", decoration = "loria:viriditas", fill_ratio = 0.01, height = 1, place_on = "loria:lead_sulfate", sidelen = 16, y_min = -20})
minetest.register_decoration({biomes = "loria:acidic_landscapes", deco_type = "simple", decoration = "loria:imitationis", fill_ratio = 0.10000000000000001, height = 1, place_on = "loria:sodium_peroxide", sidelen = 16, y_min = -20})
return minetest.register_decoration({biomes = "loria:acidic_landscapes", deco_type = "simple", decoration = "loria:nihil", fill_ratio = 0.10000000000000001, height = 1, place_on = "loria:sodium_peroxide", sidelen = 16, y_min = -20})
